Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractParentNode

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode

All Implemented Interfaces:
  org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.Node, NodeEventTarget, java.io.Serializable

Direct Known Subclasses:
  AbstractAttr, AbstractDocument, AbstractDocumentFragment, AbstractEntity, AbstractParentChildNode

public abstract class AbstractParentNode
extends AbstractNode

This class implements the Node interface with support for children.

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `AbstractParentNode.ChildNodes` To manage the children of this node.
`protected class` | `AbstractParentNode.ElementsByTagName` To manage a list of nodes.
`protected class` | `AbstractParentNode.ElementsByTagNameNS` To manage a list of nodes.

Field Summary
`protected AbstractParentNode.ChildNodes` | `childNodes` The children.

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AbstractParentNode()`

Method Summary
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)` DOM: Implements `Node.appendChild(Node)`.
`protected void` | `checkAndRemove(org.w3c.dom.Node n, boolean replace)` Checks the validity of a node to be inserted, and removes it from the document if needed.
`protected org.w3c.dom.Node` | `deepCopyInto(org.w3c.dom.Node n)` Deeply copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` | `deepExport(org.w3c.dom.Node n, AbstractDocument d)` Deeply exports this node to the given document.
`protected void` | `fireDOMNodeInsertedEvent(org.w3c.dom.Node node)` Fires a DOMNodeInserted event.
`void` | `fireDOMNodeInsertedIntoDocumentEvent()` Recursively fires a DOMNodeInsertedIntoDocument event.
`protected void` | `fireDOMNodeRemovedEvent(org.w3c.dom.Node node)` Fires a DOMNodeRemoved event.
`void` | `fireDOMNodeRemovedFromDocumentEvent()` Recursively fires a DOMNodeRemovedFromDocument event.
`protected void` | `fireDOMSubtreeModifiedEvent()` Fires a DOMSubtreeModified event.
`org.w3c.dom.NodeList` | `getChildNodes()` DOM: Implements `Node.getChildNodes()`.
`org.w3c.dom.NodeList` | `getElementsByTagName(java.lang.String name)` DOM: Implements `Element.getElementsByTagName(String)`.
`org.w3c.dom.NodeList` | `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)` DOM: Implements `Element.getElementsByTagNameNS(String,String)`.
`org.w3c.dom.Node` | `getFirstChild()` DOM: Implements `Node.getFirstChild()`.
`org.w3c.dom.Node` | `getLastChild()` DOM: Implements `Node.getLastChild()`.
`boolean` | `hasChildNodes()` DOM: Implements `Node.hasChildNodes()`.
`org.w3c.dom.Node` | `insertBefore(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)` DOM: Implements `Node.insertBefore(Node, Node)`.
`protected void` | `nodeAdded(org.w3c.dom.Node n)` Called when a child node has been added.
`protected void` | `nodeToBeRemoved(org.w3c.dom.Node n)` Called when a child node is going to be removed.
`void` | `normalize()` DOM: Implements `Node.normalize()`.
`org.w3c.dom.Node` | `removeChild(org.w3c.dom.Node oldChild)` DOM: Implements `Node.removeChild(Node)`.
`org.w3c.dom.Node` | `replaceChild(org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)` DOM: Implements `Node.replaceChild(Node, Node)`.

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, checkChildType, cloneNode, copyInto, createDOMException, dispatchEvent, export, fireDOMCharacterDataModifiedEvent, getAttributes, getCurrentDocument, getEventSupport, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getParentNodeEventTarget, getPrefix, getPreviousSibling, hasAttributes, isSupported, newNode, removeEventListener, setNextSibling, setNodeName, setNodeValue, setOwnerDocument, setParentNode, setPrefix, setPreviousSibling, setSpecified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Methods inherited from interface org.w3c.dom.Node
`getNodeName, getNodeType`

Field Detail

### childNodes

    protected AbstractParentNode.ChildNodes childNodes

  The children.

Constructor Detail

### AbstractParentNode

    public AbstractParentNode()

Method Detail

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  DOM: Implements `Node.getChildNodes()`.

  Specified by:
    `getChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `getChildNodes` in class `AbstractNode`
  Returns:
    `childNodes`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  DOM: Implements `Node.getFirstChild()`.

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getFirstChild` in class `AbstractNode`
  Returns:
    `childNodes`.firstChild

### getLastChild

    public org.w3c.dom.Node getLastChild()

  DOM: Implements `Node.getLastChild()`.

  Specified by:
    `getLastChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getLastChild` in class `AbstractNode`
  Returns:
    `childNodes`.lastChild

### insertBefore

    public org.w3c.dom.Node insertBefore(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node refChild)
                                  throws org.w3c.dom.DOMException

  DOM: Implements `Node.insertBefore(Node, Node)`.

  Specified by:
    `insertBefore` in interface `org.w3c.dom.Node`
  Overrides:
    `insertBefore` in class `AbstractNode`
  Throws:
    `org.w3c.dom.DOMException`

### replaceChild

    public org.w3c.dom.Node replaceChild(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node oldChild)
                                  throws org.w3c.dom.DOMException

  DOM: Implements `Node.replaceChild(Node, Node)`.

  Specified by:
    `replaceChild` in interface `org.w3c.dom.Node`
  Overrides:
    `replaceChild` in class `AbstractNode`
  Throws:
    `org.w3c.dom.DOMException`

### removeChild

    public org.w3c.dom.Node removeChild(org.w3c.dom.Node oldChild)
                                 throws org.w3c.dom.DOMException

  DOM: Implements `Node.removeChild(Node)`.

  Specified by:
    `removeChild` in interface `org.w3c.dom.Node`
  Overrides:
    `removeChild` in class `AbstractNode`
  Throws:
    `org.w3c.dom.DOMException`

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                 throws org.w3c.dom.DOMException

  DOM: Implements `Node.appendChild(Node)`.

  Specified by:
    `appendChild` in interface `org.w3c.dom.Node`
  Overrides:
    `appendChild` in class `AbstractNode`
  Throws:
    `org.w3c.dom.DOMException`

### hasChildNodes

    public boolean hasChildNodes()

  DOM: Implements `Node.hasChildNodes()`.

  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasChildNodes` in class `AbstractNode`
  Returns:
    true if this node has children, false otherwise.

### normalize

    public void normalize()

  DOM: Implements `Node.normalize()`.

  Specified by:
    `normalize` in interface `org.w3c.dom.Node`
  Overrides:
    `normalize` in class `AbstractNode`

### getElementsByTagName

    public org.w3c.dom.NodeList getElementsByTagName(java.lang.String name)

  DOM: Implements `Element.getElementsByTagName(String)`.

### getElementsByTagNameNS

    public org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                       java.lang.String localName)

  DOM: Implements `Element.getElementsByTagNameNS(String,String)`.

### fireDOMNodeInsertedIntoDocumentEvent

    public void fireDOMNodeInsertedIntoDocumentEvent()

  Recursively fires a DOMNodeInsertedIntoDocument event.

  Overrides:
    `fireDOMNodeInsertedIntoDocumentEvent` in class `AbstractNode`

### fireDOMNodeRemovedFromDocumentEvent

    public void fireDOMNodeRemovedFromDocumentEvent()

  Recursively fires a DOMNodeRemovedFromDocument event.

  Overrides:
    `fireDOMNodeRemovedFromDocumentEvent` in class `AbstractNode`

### nodeAdded

    protected void nodeAdded(org.w3c.dom.Node n)

  Called when a child node has been added.

### nodeToBeRemoved

    protected void nodeToBeRemoved(org.w3c.dom.Node n)

  Called when a child node is going to be removed.

### deepExport

    protected org.w3c.dom.Node deepExport(org.w3c.dom.Node n,
                                          AbstractDocument d)

  Deeply exports this node to the given document.

  Overrides:
    `deepExport` in class `AbstractNode`

### deepCopyInto

    protected org.w3c.dom.Node deepCopyInto(org.w3c.dom.Node n)

  Deeply copy the fields of the current node into the given node.

  Overrides:
    `deepCopyInto` in class `AbstractNode`
  Parameters:
    `n` - a node of the type of this.

### fireDOMSubtreeModifiedEvent

    protected void fireDOMSubtreeModifiedEvent()

  Fires a DOMSubtreeModified event.

### fireDOMNodeInsertedEvent

    protected void fireDOMNodeInsertedEvent(org.w3c.dom.Node node)

  Fires a DOMNodeInserted event.

### fireDOMNodeRemovedEvent

    protected void fireDOMNodeRemovedEvent(org.w3c.dom.Node node)

  Fires a DOMNodeRemoved event.

### checkAndRemove

    protected void checkAndRemove(org.w3c.dom.Node n,
                                  boolean replace)

  Checks the validity of a node to be inserted, and removes it from the document if needed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.